--- 1.16/check_message.conf	2018-04-20 19:03:03.000000000 -0500
+++ 1.17/check_message.conf	2018-05-24 00:30:05.000000000 -0500
@@ -8,7 +8,14 @@
     # We need to do some work here to feedback to the autowhitelister
     # such that any POSITIVE feeback given earlier by dint of being repeated email
     # is turned to NEGATIVE feedback here if it turns out to still be spam
-  warn 
+
+	
+  #Rspamd
+  .include_if_exists /etc/exim/rspamd/check_message.conf
+
+  #SpamAssassin
+  warn
+    condition = ${if !eq{$acl_m_rspamd}{1}}
     condition = ${if and { {< {$message_size}{EASY_SPAMASSASSIN_MAX_SIZE}} { <{$acl_m_easy69}{EASY_LIMIT}}}{1}{0}}
     condition = ${if !eq{$acl_m_spam_user}{nobody}}
     spam = $acl_m_spam_user:true/defer_ok
@@ -18,7 +25,8 @@
     set acl_m_spam_assassin_has_run = 1
 
   warn
-    condition = ${if < {$message_size}{EASY_SPAMASSASSIN_MAX_SIZE}}
+    condition = ${if !eq{$acl_m_rspamd}{1}}
+	condition = ${if < {$message_size}{EASY_SPAMASSASSIN_MAX_SIZE}}
     condition = ${if !eq{$acl_m_spam_user}{nobody}}
     spam = $acl_m_spam_user/defer_ok
     set acl_m_spam_subject = ${perl{get_spam_subject}}
@@ -30,6 +38,7 @@
     set acl_m_easy69 = ${eval:$acl_m_easy69 + EASY_IS_SPAM}
 
   warn
+	condition = ${if !eq{$acl_m_rspamd}{1}}
     condition = ${if !eq{$acl_m_esf_skip}{1}}
     condition = ${if >= {$message_size}{EASY_SPAMASSASSIN_MAX_SIZE}}
     condition = ${if !eq{$acl_m_spam_user}{nobody}}
@@ -37,6 +46,7 @@
     add_header = X-Spam-Status: No, message_size=$message_size larger than EASY_SPAMASSASSIN_MAX_SIZE
 
   drop
+	condition = ${if !eq{$acl_m_rspamd}{1}}
     condition = ${if !eq{$acl_m_esf_skip}{1}}
     condition = ${if < {$message_size}{EASY_SPAMASSASSIN_MAX_SIZE}}
     condition = ${if !eq{$acl_m_spam_user}{nobody}}
